Subject: Re: [PATCH net] net_sched: act_mirred: full rcu conversion

From: John Fastabend <[email-masked]>
Date: Thu, 8 Sep 2016 08:47:39 -0700

On 16-09-08 08:35 AM, Eric Dumazet wrote:
> From: Eric Dumazet <[email-masked]>
> 
> As reported by Cong Wang, I was lazy when I did initial RCU conversion
> of tc_mirred, as I thought I could avoid allocation/freeing of a
> parameter block.
> 
> Use an intermediate object so that fast path can get a consistent
> snapshot of multiple variables (dev, action, eaction, ok_push)
> 
> Fixes: 2ee22a90c7af ("net_sched: act_mirred: remove spinlock in fast path")
> Signed-off-by: Eric Dumazet <[email-masked]>
> Reported-by: Cong Wang <[email-masked]>
> Cc: John Fastabend <[email-masked]>
> Cc: Jamal Hadi Salim <[email-masked]>
> Cc: Hadar Hen Zion <[email-masked]>
> Cc: Amir Vadai <[email-masked]>
> ---

Works for me. FWIW I find this plenty straightforward and don't really
see the need to make the hash table itself rcu friendly.

Acked-by: John Fastabend <[email-masked]>